* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a:not(.btn):not(.nav-link):not(.dropdown-item) {
    color: #8bbdd6;
}
a:not(.btn):not(.nav-link):not(.dropdown-item):hover {
    color: #a8cfe3;
}
html {
    overflow-y: scroll; /* Always show the vertical scrollbar */
}

.hidden {
    display: none; /* Hide the element initially */
}

body {
    background: linear-gradient(rgba(0, 0, 0, 0.616), #00000000), url('/images/MA-blk.png') no-repeat center center fixed; /* Gradient to make sure the logo is visble on mobile */
    background-size: cover; /* Makes the image fill the viewport */
    background-attachment: fixed; /* Keeps the gradient fixed during scrolling */
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    position: relative; /* To create a stacking context for the video */
    overflow-x: hidden;  /* Prevent horizontal scrollbars only */
    min-height: 100vh; /* Ensures the body is at least as tall as the viewport */
}
#video {
    width: 100%;
    height: 100vh; /* Makes it match the height of the viewport */
    position: cover; /* Keep the video fixed in place */
    object-fit: cover;
    top: 0;
    left: 0;
    z-index: -1; /* Place the video behind other content */
    background-attachment: fixed;
}

.hero {
    background: linear-gradient(rgba(0, 0, 0, 0), #000);
    position: relative; /* Create a positioning context */
    width: 100%;
    height: 400px; /* Adjust as needed */
    overflow: hidden;
}
.hero video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -65%); /* Center the video */
    min-width: 100%; 
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: -1; 
}
.hero h1 {
    position: relative; /* Ensure text is positioned within the hero */
    z-index: 1; /* Place text on top of the video */
    text-align: center;
    padding: 20px;
    color: white; /* Or any color that contrasts well with the video */
    text-shadow: 2px 2px 2px rgba(0,0,0,0.6);
}
#banner-text {
    font-family: "Black Ops One", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 50px;
}

.blur-box {
    background: rgba(0, 0, 0, 0.8); /* Semi-transparent black background */
    backdrop-filter: blur(15px); /* Applies blur effect behind the box */
    border-radius: 10px; /* Rounded corners */
    color: white; /* Text color */
    padding: 20px;
    z-index: 1;
    max-width: 900px;
    width: 100%;
}
.blur-box-extra {
backdrop-filter: blur(20px); /* Applies blur effect behind the box */
}


table {
    
}

th, td {
    white-space: normal;
    word-break: keep-all;
    padding: 0.5rem;
    border: 1px solid black;
    background-color: #e7e7e7;
    padding: 1px; /* Increased padding for readability */
    text-align: center;
    transition: 0.1s ease-in-out;
}
.spegel:hover, .fitness:hover, .muay-thai:hover, .judo:hover {
    background-color: #da5e5e;
}

th {
    background-color: #b8b8b8;
}
.view-booking table {
    width: 100%;
    max-width: 100%;
    border-collapse: collapse;
    border-radius: 5px;
    overflow: hidden;
    border: 1px solid black;
}
.view-booking th {
    color: #000;
    background-color: #ffffff;
}
/* Targeting every even row */
.view-booking tr:nth-child(even) td {
    background-color: #c0c0c0; /* Darker gray */
    color: #000; /* Black text */
}

/* Targeting every odd row */
.view-booking tr:nth-child(odd) td {
    background-color: #a1a1a1; /* Lighter gray */
    color: #000; /* Black text */
}

.booking-full {
    background-color: #bda2a5 !important; /* Light red */
    color: #721c24 !important; /* Dark red text */
    font-weight: bold !important;
}

#important {
    transition: opacity 0.5s ease, max-height 0.5s ease; 
    opacity: 0; /* Initially hidden */
    border-radius: 10px 100px / 120px;
    max-height: 0; /* Initially collapsed */
    overflow: hidden; /* Prevent content from showing when collapsed */
    width: 100%;
    z-index: 1000;
}
#important.show { /* Or use a different class name */
    opacity: 1;
    max-height: 100px; /* Adjust as needed */
}

/* News Section */

#news-posts {
    width: 100%;
    max-width: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    word-break: break-word;
}
.news p {
    white-space: pre-line;
}
.news h4 {
    font-weight: normal;
}

.news h6 {
    font-style: italic;
    font-weight: lighter;
}

.section-divider {
    border: none; /* Remove default border */
    border-top: 1px solid #ccc; /* Add a custom border */
    margin: 20px 0; /* Add spacing */
    width: 100%; /* Ensure it spans the container */
}

/* Navbar */

.btn {
    position: relative;
    transition: 0.1s ease-in-out;
}
.btn:hover {
    color: #ffffff;
    transform: scale(1.05);
}


.navbar-nav {
    align-items: flex-start;
}

.bg-black .nav-item .btn {
    text-align: left; /* Align text to the left inside buttons */
    width: 100%; /* Make the button span the full width */
    padding-left: 5px;
    margin-left: 5px;
}
.dropdown-item {
    color: #8d8d8d !important;
    transition: 0.1s ease-in-out;
}
.dropdown-item:hover {
    color: #ffffff !important;
    transform: scale(1.05);
    /* border: 1px solid #ccc; */
}
/* Schema style */
.schema-info {
    display: flex; /* Use Flexbox for horizontal alignment */
    flex-direction: row; /* Align items in a row */
    justify-content: center; /* Align them to the start of the container */
    flex-wrap: wrap; /* Allow items to wrap onto the next line if they don't fit */
    line-height: 1.5;
    font-size: 1rem;
}
.schema-info p {
    border: 1px solid black; /* Light gray border */
    border-radius: 5px; /* Slightly rounded corners */
    padding: 4px 8px; /* Add some padding */
    font-size: 1rem;
    margin: 5px; /* Remove margin to keep them in line neatly */
}

.day {
    font-weight: bold;
    color: #000;
}

.judo, .spegel, .fitness, .muay-thai {
    color: #242424;
}

.judo {
    background-color: rgb(248, 159, 43);
}

.spegel {
    background-color: #66B3FF;
}

.fitness {
    background-color: rgb(61, 218, 95);
}
.muay-thai {
    background-color: #ad66ff;
}
.empty {
    background-color: #636363;
}
#forsattning {
    background-color: #808080;
}

.popup-content {
    display: none;
    position: fixed;
    background-color: white;
    border: 2px solid var(--border-color);
    border-radius: 10px;
    padding: 15px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* Center in the #schema div */
    text-align: left;
    min-width: 300px;
}
.popup-content.show {
    display: block;
}
/* Style for instrgram button on contact page */
.btn-instagram {
    background-color: #d62976;
    border-color: #d62976;
    color: white;
}
.btn-instagram:hover {
    background-color: #e95950;
    border-color: #e95950; 
}

.card {
    transition: 0.1s ease-in-out;
}
.card:hover {
    transform: scale(1.02);
    margin-left: 2px;
    margin-right: 2px;
    border: solid 1px white;
}

.img-fit {
    width: 45%; /* Adjust the percentage as needed */
    height: auto; /* Maintain aspect ratio */
    max-width: 100%; /* Ensure the image doesn't overflow */
    object-fit: cover; /* Crops the image if necessary */
}
.img-thumbnail {
    border: none;
    box-shadow: none;
    outline: none;
    background: none;
}
.hide-on-desktop {
    display:none;
}

@media (max-width: 768px) {
    body {
        font-size: 16px;
        padding: 10px;
    }
    #logo {
        max-width: 120px;
    }
    .navbar-nav {
        flex-direction: column;
    }
    .nav-item {
        width: 100%;
    }
    #video {
        display: none;
    }
    #important {
        flex-direction: column;
        align-items: center;
    }

    #main-content {
        flex-direction: column;
        align-items: center;
    }

    table {
        width: 100%;
        max-width: 100%;
        font-size: 0.7rem;
        overflow-x: auto;
        border-collapse: collapse;
        margin: 20px auto;
        table-layout: auto; /* Equal column width distribution */
    }

    th, td {
        white-space: normal;           /* allow text to wrap */
        word-break: break-word;        /* break long words */
        text-align: center;
        padding: 6px; /* Ensure text stays centered */
    }

    #schema-info {
        font-size: 0.8rem;
        line-height: 1.2;
        text-align: center; /* Center the info section */
    }

    .popup-content {
        width: 90%; /* Fit within the container */
        max-width: 400px;
        padding: 15px;
        font-size: 0.9rem;
    }
    .hide-on-desktop {
        display:block;
    }
    .navbar-nav .dropdown-menu a {
        font-size: 1.2rem; /* Increase the font size */
        padding: 10px 15px; /* Adjust padding for better spacing */
    }

}

@media (min-width: 430px) and (max-width: 768px) {
    table {
        font-size: 1rem;
    }
    th, td {
        padding: 8px;
    }
    .hide-on-desktop {
        display: block;
    }
}
